package de.accso.flexinale.backoffice.application.services;

import de.accso.flexinale.backoffice.domain.model.Film;
import de.accso.flexinale.common.shared_kernel.Identifiable;
import jakarta.transaction.Transactional;

import java.util.List;

@Transactional
public class FilmService {

    private final de.accso.flexinale.backoffice.domain.services.FilmService filmService;

    public FilmService(de.accso.flexinale.backoffice.domain.services.FilmService filmService) {
        this.filmService = filmService;
    }

    public List<Film> filme() {
        return filmService.filme();
    }

    public Film film(final Identifiable.Id id) {
        return filmService.film(id);
    }
}
